App\Entity\Setupcheck:
    type: entity
    table: setupcheck
    indexes:
        AWB:
            columns:
                - AWB
        DataIns:
            columns:
                - DataIns
        Data:
            columns:
                - Data
        DataMod:
            columns:
                - DataMod
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            column: ID
            generator:
                strategy: IDENTITY
    fields:
        sid:
            type: string
            nullable: true
            length: 40
            options:
                fixed: false
        awb:
            type: string
            nullable: true
            length: 100
            options:
                fixed: false
            column: AWB
        data:
            type: datetime
            nullable: true
            column: Data
        dest:
            type: string
            nullable: true
            length: 200
            options:
                fixed: false
            column: Dest
        nrpackages:
            type: integer
            nullable: false
            options:
                unsigned: false
                default: '0'
            column: NrPackages
        totpackages:
            type: integer
            nullable: false
            options:
                unsigned: false
                default: '0'
            column: TotPackages
        grossweight:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: GrossWeight
        grossweightum:
            type: string
            nullable: true
            length: 5
            options:
                fixed: false
                default: '0'
            column: GrossWeightUM
        netweight:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: NetWeight
        netweightum:
            type: string
            nullable: true
            length: 5
            options:
                fixed: false
                default: '0'
            column: NetWeightUM
        weighingid:
            type: string
            nullable: true
            length: 20
            options:
                fixed: false
                default: '0'
            column: WeighingID
        hpackage:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: HPackage
        wpackage:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: WPackage
        lpackage:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: LPackage
        inbound:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: Inbound
        realvolume:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: RealVolume
        inboundvolumesurface:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: InboundVolumeSurface
        realvolumesurface:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: RealVolumeSurface
        vettore:
            type: string
            nullable: true
            length: 100
            options:
                fixed: false
            column: Vettore
        destinazione:
            type: string
            nullable: true
            length: 100
            options:
                fixed: false
            column: Destinazione
        stato:
            type: integer
            nullable: true
            options:
                unsigned: false
                default: '0'
            column: Stato
        flags:
            type: integer
            nullable: true
            options:
                unsigned: false
                default: '0'
            column: Flags
        standby:
            type: integer
            nullable: true
            options:
                unsigned: false
                default: '0'
            column: StandBy
        congruita:
            type: integer
            nullable: true
            options:
                unsigned: false
                default: '0'
            column: Congruita
        userins:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: UserIns
        datains:
            type: datetime
            nullable: true
            column: DataIns
        usermod:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: UserMod
        datamod:
            type: datetime
            nullable: true
            column: DataMod
        palletid:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: PalletID
        palletheight:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: PalletHeight
        palletweight:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: PalletWeight
        palletdescr:
            type: string
            nullable: true
            length: 200
            options:
                fixed: false
            column: PalletDescr
    lifecycleCallbacks: {  }
